Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.phaseresolver
Class PhaseResolver

    java.lang.Object
      org.apache.axis2.phaseresolver.PhaseResolver

    public class PhaseResolver

extends java.lang.Object

Class PhaseResolver

Constructor Summary
`PhaseResolver(AxisConfiguration axisconfig)` default constructor , to obuild chains for GlobalDescription

Method Summary
`void` | `disengageModuleFromGlobalChains(AxisModule module)` To remove handlers from global chians this method can be used , first it take inflow of the module and then take handler one by one and then remove those handlers from global inchain , the same procedure will be carry out for all the other flows as well.
`void` | `disengageModuleFromOperationChain(AxisModule module, AxisOperation operation)` To remove handlers from operations chians this method can be used , first it take inflow of the module and then take handler one by one and then remove those handlers from global inchain , the same procedure will be carry out for all the other flows as well.
`void` | `engageModuleToMessage(AxisMessage axisMessage, AxisModule axisModule)`
`void` | `engageModuleToOperation(AxisOperation axisOperation, AxisModule module)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseResolver

    public PhaseResolver(AxisConfiguration axisconfig)

  default constructor , to obuild chains for GlobalDescription

  Parameters:
    `axisconfig` -

Method Detail

### engageModuleToOperation

    public void engageModuleToOperation(AxisOperation axisOperation,
                                        AxisModule module)
                                 throws PhaseException

  Throws:
    `PhaseException`

### disengageModuleFromGlobalChains

    public void disengageModuleFromGlobalChains(AxisModule module)

  To remove handlers from global chians this method can be used , first it take inflow of the module and then take handler one by one and then remove those handlers from global inchain , the same procedure will be carry out for all the other flows as well.

  Parameters:
    `module` -

### disengageModuleFromOperationChain

    public void disengageModuleFromOperationChain(AxisModule module,
                                                  AxisOperation operation)

  To remove handlers from operations chians this method can be used , first it take inflow of the module and then take handler one by one and then remove those handlers from global inchain , the same procedure will be carry out for all the other flows as well.

  Parameters:
    `module` -

### engageModuleToMessage

    public void engageModuleToMessage(AxisMessage axisMessage,
                                      AxisModule axisModule)
                               throws PhaseException

  Throws:
    `PhaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.